Merge remote-tracking branch 'origin/master' into staging-next

This commit is contained in:
Martin Weinelt 2021-10-15 01:29:47 +02:00
commit 850a9bf3f2
26 changed files with 129 additions and 97 deletions

View file

@ -14,9 +14,6 @@
stdenv.mkDerivation rec {
pname = "csound";
# When updating, please check if https://github.com/csound/csound/issues/1078
# has been fixed in the new version so we can use the normal fluidsynth
# version and remove fluidsynth 1.x from nixpkgs again.
version = "6.16.2";
hardeningDisable = [ "format" ];

View file

@ -16,6 +16,7 @@
, lilv
, lsp-plugins
, lv2
, mda_lv2
, meson
, ninja
, nlohmann_json
@ -25,20 +26,20 @@
, rnnoise
, rubberband
, speexdsp
, wrapGAppsHook
, wrapGAppsHook4
, zam-plugins
, zita-convolver
}:
stdenv.mkDerivation rec {
pname = "easyeffects";
version = "6.0.3";
version = "6.1.3";
src = fetchFromGitHub {
owner = "wwmm";
repo = "easyeffects";
rev = "v${version}";
sha256 = "sha256-GzqPC/m/HMthLMamhJ4EXX6fxZYscdX1QmXgqHOPEcg=";
sha256 = "sha256-1UfeqPJxY4YT98UdqTZtG+QUBOZlKfK+7WbszhO22A0=";
};
nativeBuildInputs = [
@ -48,7 +49,7 @@ stdenv.mkDerivation rec {
ninja
pkg-config
python3
wrapGAppsHook
wrapGAppsHook4
];
buildInputs = [
@ -74,17 +75,20 @@ stdenv.mkDerivation rec {
postPatch = ''
chmod +x meson_post_install.py
patchShebangs meson_post_install.py
# https://github.com/wwmm/easyeffects/pull/1205
substituteInPlace meson_post_install.py --replace "gtk-update-icon-cache" "gtk4-update-icon-cache"
'';
preFixup =
let
lv2Plugins = [
calf # limiter, compressor exciter, bass enhancer and others
lsp-plugins # delay
calf # compressor exciter, bass enhancer and others
lsp-plugins # delay, limiter, multiband compressor
mda_lv2 # loudness
zam-plugins # maximizer
];
ladspaPlugins = [
rubberband # pitch shifting
zam-plugins # maximizer
];
in
''

View file

@ -14,17 +14,17 @@ let
archive_fmt = if stdenv.isDarwin then "zip" else "tar.gz";
sha256 = {
x86_64-linux = "1mpvikps5l2vynw7afrpkp4ah0q6q2q4q8d074b4vfwhaj1v6v75";
x86_64-darwin = "0r65wfyzc90lhd0i61xkb8kq9339b3ddyqp5dx7wf0aydgi203br";
aarch64-linux = "0d4kqjhyq8s7ini25m2igf37bzb2dw01jv62nps3yx3cr52vzyn2";
aarch64-darwin = "0h5g3h8z1wl7pz6ddlchnwqns956pyi1c3fjivsff0f0yhmdlva7";
armv7l-linux = "0fyxmq3i4kc1x013xs9flcbkmzzy9sqhjhcj5n38w6mswsb97qrv";
x86_64-linux = "069jdwqs9z2z95mjs9nx58rp1516dyyqn5bc0vgr7xvlbis97lq0";
x86_64-darwin = "1bd32dkpyfgknxqn76jcwpa47rac9q14glbf5sb1rh9rfav0m1m8";
aarch64-linux = "1axxnys3pd2qrvj6mqpa5cih44b4dbpgi8mvn616d8d45jgdnc1r";
aarch64-darwin = "0bdp0k20lfwpsl1a3dz6c97s0b5bp3rhb66jwgbyyc16zrz79r1z";
armv7l-linux = "077w5hvc4brb56zs0w37nr4a8vlcij5z3yrv3rz16p58nnkj56hs";
}.${system};
in
callPackage ./generic.nix rec {
# Please backport all compatible updates to the stable release.
# This is important for the extension ecosystem.
version = "1.61.0";
version = "1.61.1";
pname = "vscode";
executableName = "code" + lib.optionalString isInsiders "-insiders";

View file

@ -33,11 +33,11 @@
}:
stdenv.mkDerivation rec {
pname = "1password";
version = "8.2.0";
version = "8.3.0";
src = fetchurl {
url = "https://downloads.1password.com/linux/tar/stable/x86_64/1password-${version}.x64.tar.gz";
sha256 = "1hnpvvval8a9ny5x5zffn5lf5qrwc4hcs3jvhqmd7m4adh2i6y2i";
sha256 = "1cakv316ipwyw6s3x4a6qhl0nmg17bxhh08c969gma3svamh1grw";
};
nativeBuildInputs = [ makeWrapper ];

View file

@ -1,7 +1,7 @@
#!/usr/bin/env nix-shell
#!nix-shell -i bash -p curl gnugrep gnused jq
set -eu -o pipefail
set -x -eu -o pipefail
cd $(dirname "${BASH_SOURCE[0]}")
@ -14,7 +14,7 @@ SHA256=$(nix-prefetch-url --quiet --unpack https://github.com/fluxcd/flux2/archi
SPEC_SHA256=$(nix-prefetch-url --quiet --unpack https://github.com/fluxcd/flux2/releases/download/${TAG}/manifests.tar.gz)
setKV () {
sed -i "s|$1 = \".*\"|$1 = \"$2\"|" ./default.nix
sed -i "s|$1 = \".*\"|$1 = \"${2:-}\"|" ./default.nix
}
setKV version ${VERSION}
@ -24,8 +24,15 @@ setKV vendorSha256 ""
cd ../../../../../
set +e
VENDOR_SHA256=$(nix-build --no-out-link -A fluxcd 2>&1 | grep "got:" | cut -d':' -f2 | sed 's/ //g')
VENDOR_SHA256=$(nix-build --no-out-link -A fluxcd 2>&1 | grep "got:" | cut -d':' -f2 | sed 's| ||g')
set -e
cd - > /dev/null
setKV vendorSha256 ${VENDOR_SHA256}
if [ -n "${VENDOR_SHA256:-}" ]; then
setKV vendorSha256 ${VENDOR_SHA256}
else
echo "Update failed. VENDOR_SHA256 is empty."
exit 1
fi

View file

@ -1,7 +1,7 @@
#!/usr/bin/env nix-shell
#!nix-shell -i bash -p curl gnugrep gnused jq
set -eu -o pipefail
set -x -eu -o pipefail
WORKDIR=$(mktemp -d)
trap "rm -rf ${WORKDIR}" EXIT
@ -45,7 +45,7 @@ CNIPLUGINS_SHA256=$(nix-prefetch-url --quiet --unpack \
"https://github.com/rancher/plugins/archive/refs/tags/v${CNIPLUGINS_VERSION}.tar.gz")
setKV () {
sed -i "s|$1 = \".*\"|$1 = \"$2\"|" ./default.nix
sed -i "s|$1 = \".*\"|$1 = \"${2:-}\"|" ./default.nix
}
setKV k3sVersion ${K3S_VERSION}

View file

@ -1,7 +1,7 @@
#!/usr/bin/env nix-shell
#!nix-shell -i bash -p curl gnugrep gnused jq
set -eu -o pipefail
set -x -eu -o pipefail
cd $(dirname "$0")
@ -14,7 +14,7 @@ VERSION=$(echo ${TAG} | sed 's/^edge-//')
SHA256=$(nix-prefetch-url --quiet --unpack https://github.com/linkerd/linkerd2/archive/refs/tags/${TAG}.tar.gz)
setKV () {
sed -i "s|$1 = \".*\"|$1 = \"$2\"|" ./edge.nix
sed -i "s|$1 = \".*\"|$1 = \"${2:-}\"|" ./edge.nix
}
setKV version ${VERSION}
@ -25,9 +25,9 @@ cd ../../../../../
set +e
VENDOR_SHA256=$(nix-build --no-out-link -A linkerd_edge 2>&1 | grep "got:" | cut -d':' -f2 | sed 's| ||g')
set -e
cd - > /dev/null
if [ -n "${VENDOR_SHA256:-}" ]; then
cd - > /dev/null
setKV vendorSha256 ${VENDOR_SHA256}
else
echo "Update failed. VENDOR_SHA256 is empty."

View file

@ -1,7 +1,7 @@
#!/usr/bin/env nix-shell
#!nix-shell -i bash -p curl gnugrep gnused jq
set -eu -o pipefail
set -x -eu -o pipefail
cd $(dirname "$0")
@ -14,7 +14,7 @@ VERSION=$(echo ${TAG} | sed 's/^stable-//')
SHA256=$(nix-prefetch-url --quiet --unpack https://github.com/linkerd/linkerd2/archive/refs/tags/${TAG}.tar.gz)
setKV () {
sed -i "s|$1 = \".*\"|$1 = \"$2\"|" ./default.nix
sed -i "s|$1 = \".*\"|$1 = \"${2:-}\"|" ./default.nix
}
setKV version ${VERSION}
@ -25,11 +25,11 @@ cd ../../../../../
set +e
VENDOR_SHA256=$(nix-build --no-out-link -A linkerd 2>&1 | grep "got:" | cut -d':' -f2 | sed 's| ||g')
set -e
cd - > /dev/null
if [ -n "${VENDOR_SHA256:-}" ]; then
cd - > /dev/null
setKV vendorSha256 ${VENDOR_SHA256}
setKV vendorSha256 ${VENDOR_SHA256}
else
echo "Update failed. VENDOR_SHA256 is empty."
exit 1
echo "Update failed. VENDOR_SHA256 is empty."
exit 1
fi

View file

@ -40,15 +40,43 @@ assert builtins.elem (lib.toLower chatType) [
assert enablePsiMedia -> enablePlugins;
mkDerivation rec {
mkDerivation {
pname = "psi-plus";
version = "1.5.1549";
# Version mask is “X.X.XXXX-R” where “X.X.XXXX” is a mandatory version of Psi
# and “-R” ending is optional revision number.
#
# The “psi-plus-snapshots” generally provides snapshots of these separate
# repositories glued together (there are also dependencies/libraries):
#
# 1. Psi
# 2. Plugins pack for Psi
# 3. “psimedia” plugin
# 4. Resources for Psi (icons, skins, sounds)
#
# “X.X.XXXX” is literally a version of Psi.
# So often when for instance plugins are updated separately a new snapshot is
# created. And that snapshot would also be linked to “X.X.XXXX” version.
# So many commits may have the same associated version of the snapshot.
# But mind that only one Git tag is created for “X.X.XXXX” version.
#
# Its not yet defined in the Psi+ project what value to use as a version for
# any further releases that dont change Psi version.
#
# Lets do what Debian does for instance (appends “-R” where “R” is a revision
# number).
# E.g. https://tracker.debian.org/news/1226321/psi-plus-14554-5-migrated-to-testing/
#
# This has been communicated with the Psi+ main devs in this XMPP MUC chat:
# psi-dev@conference.jabber.ru
#
version = "1.5.1556-2";
src = fetchFromGitHub {
owner = "psi-plus";
repo = "psi-plus-snapshots";
rev = version;
sha256 = "0jpv6qzfg6xjwkrnci7fav27nxm174i9l5g4vmsbchqpwfk90z2m";
rev = "635879010b6697f7041a7bbea1853a1f4673c7f7";
sha256 = "18xvljcm0a9swkyz4diwxi4xaj0w27jnhfgpi8fv5fj11j0g1b3a";
};
cmakeFlags = [
@ -96,7 +124,7 @@ mkDerivation rec {
meta = with lib; {
homepage = "https://psi-plus.com";
description = "XMPP (Jabber) client";
description = "XMPP (Jabber) client based on Qt5";
maintainers = with maintainers; [ orivej misuzu unclechu ];
license = licenses.gpl2Only;
platforms = platforms.linux;

View file

@ -2,13 +2,13 @@
python3Packages.buildPythonPackage rec {
pname = "opsdroid";
version = "0.23.0";
version = "0.24.1";
src = fetchFromGitHub {
owner = "opsdroid";
repo = "opsdroid";
rev = "v${version}";
sha256 = "1p1x7jbp0jx8anfwvavyn3x8i1vfhmbzyzrm014n26v5y39gabj1";
sha256 = "15l2jvcpb9l8sgdd9zsvxqglf1r3vap0pp9cklpfa9jj0aik6nx9";
};
disabled = !python3Packages.isPy3k;

View file

@ -30,6 +30,7 @@ stdenv.mkDerivation rec {
install -Dm0755 build/cadical "$out/bin/cadical"
install -Dm0755 build/mobical "$out/bin/mobical"
install -Dm0644 src/ccadical.h "$dev/include/ccadical.h"
install -Dm0644 src/cadical.hpp "$dev/include/cadical.hpp"
install -Dm0644 build/libcadical.a "$lib/lib/libcadical.a"
mkdir -p "$out/share/doc/${pname}/"
install -Dm0755 {LICEN?E,README*,VERSION} "$out/share/doc/${pname}/"

View file

@ -2,16 +2,16 @@
buildGoModule rec {
pname = "gh";
version = "2.0.0";
version = "2.1.0";
src = fetchFromGitHub {
owner = "cli";
repo = "cli";
rev = "v${version}";
sha256 = "sha256-TjBUVP9/hMB8yFnupSxwHDr5bmtiMFwsDi1axsD5ykA=";
sha256 = "sha256-70FmFN76azRqnAZ9SLgr/V8moqkWoBbDB6IdSXM7Vmg=";
};
vendorSha256 = "sha256-ZsMzLJ+eHAKNxhVFpQxRyTv/rcWvxA/luKPjXT+Zt4Y=";
vendorSha256 = "sha256-004TspNwjCWnrD86HEf5wGpt8OCP5qIrTwlGWSRNUmg=";
nativeBuildInputs = [ installShellFiles ];

View file

@ -1,12 +1,9 @@
{ lib
, fetchFromGitHub
, crystal_1_0
, crystal
}:
let
crystal = crystal_1_0;
in crystal.buildCrystalPackage rec {
crystal.buildCrystalPackage rec {
pname = "thicket";
version = "0.1.5";

View file

@ -2,16 +2,16 @@
rustPlatform.buildRustPackage rec {
pname = "verco";
version = "6.6.0";
version = "6.7.0";
src = fetchFromGitHub {
owner = "vamolessa";
repo = pname;
rev = "v${version}";
sha256 = "sha256-ZfiGDEx6gjYziatbQSpqghmpXMXSPPBtTVYjll922t8=";
sha256 = "sha256-H8rDaRVU3G3iuBv0Tz/YOuYbL2k8wEoEIIEG7hjU6eM=";
};
cargoSha256 = "sha256-jrA6vGw+lyfix8L3INBamrJ4pab5denPzWwjF0dRXB0=";
cargoSha256 = "sha256-4Ou/stedL3WCY4Awsl++lc5fZ9gxd4uorf4G2/0DiPc=";
meta = with lib; {
description = "A simple Git/Mercurial/PlasticSCM tui client based on keyboard shortcuts";

View file

@ -219,25 +219,19 @@ let
in
rec {
binaryCrystal_0_36 = genericBinary {
version = "0.36.1";
binaryCrystal_1_0 = genericBinary {
version = "1.0.0";
sha256s = {
x86_64-linux = "065vzq34g7hgzl2mrzy9gwwsfikc78nj7xxsbrk67r6rz0a7bk1q";
i686-linux = "18m4b1lnd682i5ygbg6cljqjny60nn2mlrzrk765h2ip6fljqbm1";
x86_64-darwin = "0xggayk92zh64pb5sz77n12hkcd1hg8kw90z7gb18594q551sf1v";
x86_64-linux = "1949argajiyqyq09824yj3wjyv88gd8wbf20xh895saqfykiq880";
i686-linux = "0w0f4fwr2ijhx59i7ppicbh05hfmq7vffmgl7lal6im945m29vch";
x86_64-darwin = "01n0rf8zh551vv8wq3h0ifnsai0fz9a77yq87xx81y9dscl9h099";
};
};
crystal_0_36 = generic {
version = "0.36.1";
sha256 = "sha256-5rjrvwZKM4lHpmxLyUVbi0Zw98xT+iJKonxwfUwS/Wk=";
binary = binaryCrystal_0_36;
};
crystal_1_0 = generic {
version = "1.0.0";
sha256 = "sha256-RI+a3w6Rr+uc5jRf7xw0tOenR+q6qii/ewWfID6dbQ8=";
binary = crystal_0_36;
binary = binaryCrystal_1_0;
};
crystal_1_1 = generic {

View file

@ -1,9 +1,5 @@
{ lib, fetchFromGitHub, crystal_1_0, openssl }:
{ lib, fetchFromGitHub, crystal, openssl }:
let
crystal = crystal_1_0;
in
crystal.buildCrystalPackage rec {
version = "0.14.0";
pname = "mint";

View file

@ -6,11 +6,11 @@
buildPythonPackage rec {
pname = "pex";
version = "2.1.51";
version = "2.1.52";
src = fetchPypi {
inherit pname version;
sha256 = "32c5bf3926c1ac001d57f6b7569fc1fdd7ccfe747190f2e61d6baf610811beb8";
sha256 = "6ab60a316892e6e7c6a39cdcbd324d2c3d763b2fe60f381a6fe34b671f24b6e0";
};
nativeBuildInputs = [ setuptools ];

View file

@ -8,12 +8,12 @@
buildPythonPackage rec {
pname = "pg8000";
version = "1.21.3";
version = "1.22.0";
disabled = pythonOlder "3.6";
src = fetchPypi {
inherit pname version;
sha256 = "f73f1d477cda12a7b784be73c8a0c06c71e4284ef90cae4883cbc7c524b95fbf";
sha256 = "c5172252fc92142ec104cd5e7231be4580a1a0a814403707bafbf7bb8383a29a";
};
propagatedBuildInputs = [

View file

@ -6,11 +6,11 @@
buildPythonPackage rec {
pname = "phonenumbers";
version = "8.12.34";
version = "8.12.35";
src = fetchPypi {
inherit pname version;
sha256 = "2d0f3db2944130f4a842f37a3b252f4a32cc0454a1a2e992c6480c7c17f1b121";
sha256 = "f426d419aabf6366c27ef1193918cc55217ef0e8be8f09cbf0667131037ca229";
};
checkInputs = [

View file

@ -7,11 +7,11 @@
buildPythonPackage rec {
pname = "progressbar2";
version = "3.53.3";
version = "3.54.0";
src = fetchPypi {
inherit pname version;
sha256 = "f4e1c2d48e608850c59f793d6e74ccdebbcbaac7ffe917d45e9646ec0d664d6d";
sha256 = "d878893cda2f477c63b5bd0f7f5301f03dd0a81c02554a1f2c5562036369376a";
};
propagatedBuildInputs = [ python-utils ];

View file

@ -1,10 +1,11 @@
{ lib
, fetchFromGitHub
, crystal_1_0
, crystal
}:
let
generic =
{ version, sha256, crystal }:
{ version, sha256 }:
crystal.buildCrystalPackage {
pname = "shards";
@ -39,8 +40,12 @@ rec {
shards_0_15 = generic {
version = "0.15.0";
sha256 = "sha256-/C6whh5RbTBkFWqpn0GqyVe0opbrklm8xPv5MIG99VU=";
crystal = crystal_1_0;
};
shards = shards_0_15;
shards_0_16 = generic {
version = "0.16.0";
sha256 = "sha256-go8sL4djIDGNwb7FsCcATONnMYahHY8qJUDyUiPLRUY=";
};
shards = shards_0_16;
}

View file

@ -1,16 +1,16 @@
{ lib, stdenv, fetchFromGitHub, python2, makeWrapper }:
{ lib, stdenv, fetchFromGitHub, python3, makeWrapper }:
let
pythonEnv = python2.withPackages(ps: with ps; [ cheetah ]);
pythonEnv = python3.withPackages(ps: with ps; [ cheetah3 ]);
in stdenv.mkDerivation rec {
pname = "sickgear";
version = "0.24.15";
version = "0.25.11";
src = fetchFromGitHub {
owner = "SickGear";
repo = "SickGear";
rev = "release_${version}";
sha256 = "sha256-ocnINaz7F01vYC27fq6DYXkYGnzsqYD16aChPHuA/Go=";
sha256 = "sha256-0/Ez10IWvh84G//1vCZMLiu4+Y2+XcVLw9Gm9X+DY0s=";
};
dontBuild = true;
@ -19,11 +19,15 @@ in stdenv.mkDerivation rec {
nativeBuildInputs = [ makeWrapper ];
buildInputs = [ pythonEnv ];
installPhase = ''
mkdir -p $out/bin
cp -R {autoProcessTV,gui,lib,sickbeard,sickgear.py,SickBeard.py} $out/
postPatch = ''
substituteInPlace sickgear.py --replace "/usr/bin/env python2" "/usr/bin/env python"
'';
makeWrapper $out/SickBeard.py $out/bin/sickgear
installPhase = ''
mkdir -p $out/bin $out/opt/sickgear
cp -R {autoProcessTV,gui,lib,sickbeard,sickgear.py} $out/opt/sickgear/
makeWrapper $out/opt/sickgear/sickgear.py $out/bin/sickgear
'';
meta = with lib; {

View file

@ -1,4 +1,3 @@
# This file was generated by https://github.com/kamilchm/go2nix v2.0-dev
{ lib, buildGoModule, fetchFromGitHub, makeWrapper, xdg-utils }:
let
webassets = fetchFromGitHub {
@ -10,14 +9,14 @@ let
in
buildGoModule rec {
pname = "teleport";
version = "7.2.0";
version = "7.3.0";
# This repo has a private submodule "e" which fetchgit cannot handle without failing.
src = fetchFromGitHub {
owner = "gravitational";
repo = "teleport";
rev = "v${version}";
sha256 = "sha256-JLYma/LB/3xLWaFcIbe32pAz6P8hBiLlMuTUBVfqfsw=";
sha256 = "sha256-Dy6L0dvbR8wgcRePG1jFmiJV3oYtBZuExD2bf8Uq78Y=";
};
vendorSha256 = null;

View file

@ -5,15 +5,15 @@
, git, nix, nixfmt, jq, coreutils, gnused, curl, cacert }:
stdenv.mkDerivation rec {
version = "2021-10-11";
version = "2021-10-13";
pname = "oh-my-zsh";
rev = "beeda72826f7288d3edf6cec4114bbda9bbae347";
rev = "19f9b6f1ade7788b07480be685cf3fcb117cad84";
src = fetchFromGitHub {
inherit rev;
owner = "ohmyzsh";
repo = "ohmyzsh";
sha256 = "Ch1r4fSKR3VGDO/4GLJj2vETOEa6oRb1noEl8N4vJps=";
sha256 = "aC7tn5nNbkmyZ6oGKIQnWE+1LNcZH5P2pPgtnUhru/Y=";
};
installPhase = ''

View file

@ -1,7 +1,7 @@
#!/usr/bin/env nix-shell
#!nix-shell -i bash -p curl gnugrep gnused jq yq-go
set -eu -o pipefail
set -x -eu -o pipefail
cd $(dirname "${BASH_SOURCE[0]}")
@ -21,7 +21,7 @@ VERSION=$(curl -s ${GITHUB_TOKEN:+"-u \":$GITHUB_TOKEN\""} \
SHA256=$(nix-prefetch-url --quiet --unpack https://github.com/linode/linode-cli/archive/refs/tags/${VERSION}.tar.gz)
setKV () {
sed -i "s|$1 = \".*\"|$1 = \"$2\"|" ./default.nix
sed -i "s|$1 = \".*\"|$1 = \"${2:-}\"|" ./default.nix
}
setKV specVersion ${SPEC_VERSION}

View file

@ -11279,7 +11279,6 @@ with pkgs;
inherit (callPackages ../development/compilers/crystal {
llvmPackages = llvmPackages_10;
})
crystal_0_36
crystal_1_0
crystal_1_1
crystal_1_2
@ -14949,6 +14948,7 @@ with pkgs;
inherit (callPackage ../development/tools/build-managers/shards { })
shards_0_15
shards_0_16
shards;
shellcheck = callPackage ../development/tools/shellcheck {};